@echo off
echo Cette demo concerne la reconnaissance des dossiers de candidature de l'INSA.
echo Elle vous permettra d'evaluer les performances 
echo au niveau de la fiabilite de la reconnaissance.
echo.

echo Voici le fichier patrice.img qui represente un dossier
echo de candidature numerise
echo Vous pouvez utiliser les fleches pour visualiser l'image
echo Appuyez sur "Echap" pour quitter
echo (le n de tel. et l'adresse ne sont plus a jour)
pause
voir patrice.img

echo Procedons a la capture des graphes structurels du dossier :
pause
@echo on
del forme.dat
cgs config.ini patrice.img AUTO
del patrice.dat
rename forme.dat patrice.dat
@echo off

echo.
echo Verifions maintenant l'aspect des graphes construits :
echo (le n de tel. et l'adresse ne sont plus a jour)
echo Pressez la touche Entree pour faire defiler les graphes
echo ou Echap. pour interrompre
echo ou sinon utilisez les boutons gauche et droit de la souris.
echo (Pressez Ctrl-C pour interrompre la demo)
pause
show patrice.dat

echo Voici les graphes de l'alphabet de reference
echo pour la reconnaissance du dossier d'inscription
echo Appuyez sur "Echap" pour quitter
pause
show ocr_insa.dat

echo Procedons maintenant a la reconnaissance des caracteres :
pause
@echo on
del resultat.txt
del proba.txt
gm config.ini AUTO
@echo off

echo Vous pouvez maintenant consulter les fichiers resultat.txt et proba.txt
echo resultat.txt contient le detail de l'ensemble des resultats
pause
edit resultat.txt

echo proba.txt contient seulement les resultats caractere par caractere
echo avec une plausibilite entre 0 et 9 associee a chacun des caracteres proposes
pause
edit proba.txt

echo La demo est terminee. Merci pour votre attention.
pause
