@echo off
echo Cette demo concerne la reconnaissance des dossiers de candidature de l'INSA.
echo Elle vous permettra d'evaluer les performances 
echo au niveau de la fiabilite de la reconnaissance.
echo Cette demo reprend la reconnaissance a partir du debut, c'est-a-dire
echo a partir de deux fichiers image au format bmp (binaire noir & blanc).
echo (Pressez Ctrl-C pour interrompre la demo)
pause

echo Dans un premier temps, convertissons les images au format Eyestar
echo (Le programme cgs ne lit pas encore directement les bmp)
echo Remarque : Les images bmp doivent avoir la tete en bas et 
echo le trace des caracteres doit etre en blanc sur fond noir.
pause

echo Conversion de ocr_insa.bmp en ocr_insa.img :   
bmptoimg ocr_insa.bmp 
echo.

echo Conversion de patrice.bmp en patrice.img :
bmptoimg patrice.bmp 
echo.

echo Voici le fichier patrice.img qui represente un dossier
echo de candidature numerise
echo Vous pouvez utiliser les fleches pour visualiser l'image
echo Appuyez sur "Echap" pour quitter
echo (le n de tel. et l'adresse ne sont plus a jour)
pause
voir patrice.img

echo Voici le fichier ocr_insa.img qui represente l'alphabet de reference
echo Appuyez sur "Echap" pour quitter
pause
voir ocr_insa.img


echo Procedons maintenant a la capture des graphes structurels de l'alphabet :
pause
@echo on
del forme.dat
cgs insa.ini ocr_insa.img AUTO
del ocr_insa.dat
rename forme.dat ocr_insa.dat
@echo off

echo Verifions maintenant l'aspect des graphes construits :
echo Pressez la touche Entree pour faire defiler les graphes
echo ou Echap. pour interrompre
echo ou sinon utilisez les boutons gauche et droit de la souris.
echo (Pressez Ctrl-C pour interrompre la demo)
pause
show ocr_insa.dat


echo Procedons maintenant a la capture des graphes structurels du dossier :
pause
@echo on
del forme.dat
cgs config.ini patrice.img AUTO
del patrice.dat
rename forme.dat patrice.dat
@echo off

echo.
echo Verifions maintenant l'aspect des graphes construits :
echo (le n de tel. et l'adresse ne sont plus a jour)
pause
show patrice.dat


echo Procedons maintenant a la reconnaissance des caracteres :
pause
@echo on
del resultat.txt
del proba.txt
gm config.ini AUTO
@echo off

echo Vous pouvez maintenant consulter les fichiers resultat.txt et proba.txt
echo resultat.txt contient le detail de l'ensemble des resultats
pause
edit resultat.txt

echo proba.txt contient seulement les resultats caractere par caractere
echo avec une plausibilite entre 0 et 9 associee a chacun des caracteres proposes
pause
edit proba.txt

echo La demo est terminee. Merci pour votre attention.
pause
